### Constructor

# Gtk MediaFilenew_for_resource

#### Declaration [src]

    GtkMediaStream*
    gtk_media_file_new_for_resource (
      const char* resource_path
    )

#### Description [src]

Creates a new new media file for the given resource.

This is a utility function that converts the given `resource` to a `GFile` and calls `gtk_media_file_new_for_file()`.

#### Parameters

`resource_path`

  Type: `const char*`

  Resource path to open.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkMediaFile`

A new `GtkMediaFile` playing `resource_path`.

The caller of the function takes ownership of the data, and is responsible for freeing it.